import pandas as pd
import dbscan_lab_helper as helper
from sklearn import cluster

dataset_1 = pd.read_csv('blobs.csv')[:80].values
helper.plot_dataset(dataset_1)

# TODO: create an instance of DBSCAN
dbscan = cluster.DBSCAN()
# TODO: use DBSCAN's fit_predict to return clustering labels for dataset_1
clustering_labels_1 = dbscan.fit_predict(dataset_1)

# Plot clustering
helper.plot_clustered_dataset(dataset_1, clustering_labels_1)
